### Constructor

# Gtk CallbackAction new

#### Declaration [src]

    GtkShortcutAction*
    gtk_callback_action_new (
      GtkShortcutFunc callback,
      gpointer data,
      GDestroyNotify destroy
    )

#### Description [src]

Create a custom action that calls the given `callback` when activated.

#### Parameters

`callback` | `GtkShortcutFunc`
| The callback to call.
`data` | `gpointer`
| The data to be passed to `callback`.
`destroy` | `GDestroyNotify`
| The function to be called when the callback action is finalized.

#### Return value

Returns: | `GtkCallbackAction`
| A new shortcut action.
| The caller of the function takes ownership of the data, and is responsible for freeing it.